Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2694203002: Low-bandwidth audio testing (Closed)

Created:
3 years, 4 months ago by oprypin_webrtc
Modified:
3 years, 3 months ago
CC:
webrtc-reviews_webrtc.org, hlundin-webrtc, skvlad
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Low-bandwidth audio testing The C++ part of the test uses CallTest to set up an audio-only call. It reads an audio file, plays it through a FakeAudioDevice which transfers data through a FakeNetworkPipe for another FakeAudioDevice to receive it and write it to a file. Information about these files is printed to stdout. The test cases are meant to try different network and audio configs (more are planned in the future). The Python part of the test runs the C++ part and scans stdout for tests to perform, runs the pairs of files (original and degraded) through the PESQ tool to receive a score and writes that to perf dashboard. BUG=webrtc:7229 NOTRY=True Review-Url: https://codereview.webrtc.org/2694203002 Cr-Commit-Position: refs/heads/master@{#17356} Committed: https://chromium.googlesource.com/external/webrtc/+/92220ffe9fe31698b9113f9e5347f7bd85b557e4

Patch Set 1 : Low-bandwidth audio testing #

Patch Set 2 : Fix build errors #

Total comments: 30

Patch Set 3 : Address small issues from review #

Total comments: 6

Patch Set 4 : Address more small issues from review #

Patch Set 5 : Fix trailing zeros in BoundedWavFileWriter #

Patch Set 6 : Move BoundedWavFileWriter and add unittests for it #

Total comments: 12

Patch Set 7 : Fix typo #

Patch Set 8 : Make unittest executable in parallel #

Patch Set 9 : Move call_test dependency where it belongs #

Total comments: 3

Patch Set 10 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+541 lines, -27 lines) Patch
M webrtc/audio/BUILD.gn View 1 2 3 4 5 6 7 8 9 1 chunk +19 lines, -3 lines 0 comments Download
M webrtc/audio/DEPS View 1 chunk +2 lines, -2 lines 0 comments Download
A webrtc/audio/test/low_bandwidth_audio_test.h View 1 1 chunk +61 lines, -0 lines 0 comments Download
M webrtc/audio/test/low_bandwidth_audio_test.cc View 1 2 3 4 5 6 7 2 chunks +139 lines, -4 lines 0 comments Download
M webrtc/audio/test/low_bandwidth_audio_test.py View 1 2 2 chunks +74 lines, -7 lines 0 comments Download
M webrtc/test/BUILD.gn View 1 2 3 4 5 6 7 8 9 2 chunks +4 lines, -0 lines 0 comments Download
M webrtc/test/call_test.h View 1 2 3 4 5 6 7 8 9 3 chunks +10 lines, -1 line 0 comments Download
M webrtc/test/call_test.cc View 1 2 3 4 5 6 7 8 9 6 chunks +25 lines, -4 lines 0 comments Download
M webrtc/test/fake_audio_device.h View 1 2 3 4 5 6 1 chunk +6 lines, -0 lines 0 comments Download
M webrtc/test/fake_audio_device.cc View 1 2 3 4 5 2 chunks +70 lines, -0 lines 0 comments Download
A webrtc/test/fake_audio_device_unittest.cc View 1 2 3 4 5 6 7 1 chunk +131 lines, -0 lines 0 comments Download
M webrtc/video/BUILD.gn View 1 2 3 4 5 6 7 8 2 chunks +0 lines, -6 lines 0 comments Download

Messages

Total messages: 79 (54 generated)
oprypin_webrtc
TODO: add landmine before landing https://chromium.googlesource.com/external/webrtc/+/master/tools-webrtc/get_landmines.py#58
3 years, 3 months ago (2017-03-16 10:22:04 UTC) #18
oprypin_webrtc
3 years, 3 months ago (2017-03-16 16:42:14 UTC) #32
oprypin_webrtc
3 years, 3 months ago (2017-03-16 17:07:13 UTC) #33
kjellander_webrtc
Nice and clean code! https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/BUILD.gn File webrtc/audio/BUILD.gn (right): https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/BUILD.gn#newcode94 webrtc/audio/BUILD.gn:94: configs += [ "..:rtc_unittests_config" ] ...
3 years, 3 months ago (2017-03-17 07:11:42 UTC) #34
oprypin_webrtc
https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/BUILD.gn File webrtc/audio/BUILD.gn (right): https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/BUILD.gn#newcode94 webrtc/audio/BUILD.gn:94: configs += [ "..:rtc_unittests_config" ] On 2017/03/17 07:11:41, kjellander_webrtc ...
3 years, 3 months ago (2017-03-17 10:16:51 UTC) #35
kjellander_webrtc
https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/BUILD.gn File webrtc/audio/BUILD.gn (right): https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/BUILD.gn#newcode113 webrtc/audio/BUILD.gn:113: deps += [ "../modules/video_capture:video_capture_internal_impl" ] On 2017/03/17 10:16:50, oprypin_webrtc ...
3 years, 3 months ago (2017-03-17 10:37:18 UTC) #37
kwiberg-webrtc
lgtm, but please make sure to convince kjellander@ too, since I'm not that familiar with ...
3 years, 3 months ago (2017-03-17 11:19:33 UTC) #38
oprypin_webrtc
https://codereview.webrtc.org/2694203002/diff/200001/webrtc/audio/test/low_bandwidth_audio_test.cc File webrtc/audio/test/low_bandwidth_audio_test.cc (right): https://codereview.webrtc.org/2694203002/diff/200001/webrtc/audio/test/low_bandwidth_audio_test.cc#newcode34 webrtc/audio/test/low_bandwidth_audio_test.cc:34: // Writes to a WAV file, cutting off silence ...
3 years, 3 months ago (2017-03-17 11:45:10 UTC) #39
oprypin_webrtc
https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/test/low_bandwidth_audio_test.cc File webrtc/audio/test/low_bandwidth_audio_test.cc (right): https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/test/low_bandwidth_audio_test.cc#newcode25 webrtc/audio/test/low_bandwidth_audio_test.cc:25: class BoundedWavFileWriter : public test::FakeAudioDevice::Renderer { On 2017/03/17 07:11:41, ...
3 years, 3 months ago (2017-03-20 10:39:27 UTC) #40
minyue-webrtc
On 2017/03/20 10:39:27, oprypin_webrtc wrote: > https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/test/low_bandwidth_audio_test.cc > File webrtc/audio/test/low_bandwidth_audio_test.cc (right): > > https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/test/low_bandwidth_audio_test.cc#newcode25 > ...
3 years, 3 months ago (2017-03-20 14:19:05 UTC) #41
oprypin_webrtc
On 2017/03/20 14:19:05, minyue-webrtc wrote: > We have a similar test called video_loopback test. can ...
3 years, 3 months ago (2017-03-20 14:35:38 UTC) #42
stefan-webrtc
https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/test/low_bandwidth_audio_test.cc File webrtc/audio/test/low_bandwidth_audio_test.cc (right): https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/test/low_bandwidth_audio_test.cc#newcode193 webrtc/audio/test/low_bandwidth_audio_test.cc:193: pipe_config.queue_length_packets = 1500; I think a longer queue should ...
3 years, 3 months ago (2017-03-20 14:40:10 UTC) #43
oprypin_webrtc
https://codereview.webrtc.org/2694203002/diff/260001/webrtc/audio/BUILD.gn File webrtc/audio/BUILD.gn (right): https://codereview.webrtc.org/2694203002/diff/260001/webrtc/audio/BUILD.gn#newcode111 webrtc/audio/BUILD.gn:111: deps += [ "../modules/video_capture:video_capture_internal_impl" ] On 2017/03/20 14:40:10, stefan-webrtc ...
3 years, 3 months ago (2017-03-20 15:09:16 UTC) #46
stefan-webrtc
https://codereview.webrtc.org/2694203002/diff/260001/webrtc/audio/BUILD.gn File webrtc/audio/BUILD.gn (right): https://codereview.webrtc.org/2694203002/diff/260001/webrtc/audio/BUILD.gn#newcode111 webrtc/audio/BUILD.gn:111: deps += [ "../modules/video_capture:video_capture_internal_impl" ] On 2017/03/20 15:09:16, oprypin_webrtc ...
3 years, 3 months ago (2017-03-20 15:42:32 UTC) #49
oprypin_webrtc
https://codereview.webrtc.org/2694203002/diff/260001/webrtc/audio/BUILD.gn File webrtc/audio/BUILD.gn (right): https://codereview.webrtc.org/2694203002/diff/260001/webrtc/audio/BUILD.gn#newcode111 webrtc/audio/BUILD.gn:111: deps += [ "../modules/video_capture:video_capture_internal_impl" ] On 2017/03/20 15:42:32, stefan-webrtc ...
3 years, 3 months ago (2017-03-20 16:02:36 UTC) #51
stefan-webrtc
lgtm
3 years, 3 months ago (2017-03-21 08:13:42 UTC) #52
kjellander_webrtc
https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/test/low_bandwidth_audio_test.cc File webrtc/audio/test/low_bandwidth_audio_test.cc (right): https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/test/low_bandwidth_audio_test.cc#newcode25 webrtc/audio/test/low_bandwidth_audio_test.cc:25: class BoundedWavFileWriter : public test::FakeAudioDevice::Renderer { On 2017/03/20 10:39:27, ...
3 years, 3 months ago (2017-03-21 08:31:50 UTC) #53
kjellander_webrtc
lgtm https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/test/low_bandwidth_audio_test.cc File webrtc/audio/test/low_bandwidth_audio_test.cc (right): https://codereview.webrtc.org/2694203002/diff/160001/webrtc/audio/test/low_bandwidth_audio_test.cc#newcode25 webrtc/audio/test/low_bandwidth_audio_test.cc:25: class BoundedWavFileWriter : public test::FakeAudioDevice::Renderer { On 2017/03/21 ...
3 years, 3 months ago (2017-03-21 08:43:41 UTC) #56
oprypin_webrtc
https://codereview.webrtc.org/2694203002/diff/340001/webrtc/test/BUILD.gn File webrtc/test/BUILD.gn (right): https://codereview.webrtc.org/2694203002/diff/340001/webrtc/test/BUILD.gn#newcode413 webrtc/test/BUILD.gn:413: deps += [ "../modules/video_capture:video_capture_internal_impl" ] On 2017/03/21 08:43:41, kjellander_webrtc ...
3 years, 3 months ago (2017-03-23 09:37:02 UTC) #63
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2694203002/340001
3 years, 3 months ago (2017-03-23 09:37:22 UTC) #66
commit-bot: I haz the power
Failed to apply patch for webrtc/audio/BUILD.gn: While running git apply --index -p1; error: patch failed: ...
3 years, 3 months ago (2017-03-23 09:39:56 UTC) #68
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2694203002/360001
3 years, 3 months ago (2017-03-23 10:05:53 UTC) #71
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2694203002/360001
3 years, 3 months ago (2017-03-23 10:37:41 UTC) #75
kjellander_webrtc
On 2017/03/23 10:37:41, commit-bot: I haz the power wrote: > CQ is trying da patch. ...
3 years, 3 months ago (2017-03-23 10:38:38 UTC) #76
commit-bot: I haz the power
3 years, 3 months ago (2017-03-23 10:40:08 UTC) #79
Message was sent while issue was closed.
Committed patchset #10 (id:360001) as
https://chromium.googlesource.com/external/webrtc/+/92220ffe9fe31698b9113f9e5...

Powered by Google App Engine
This is Rietveld 408576698